Subject: Re: [TICTOC] [netmod] FWD: I-D Action: draft-ietf-tictoc-1588v2-yang-07.txt

From: "t.petch" <[email-masked]>
Date: Fri, 8 Dec 2017 18:23:48 -0000

Yuanlong

I belatedly read appendix A and I am impressed.  A few minor thoughts.

1. I was confused by the Title

Transferring YANG Work to IEEE 1588 WG (Informational)

thinking you meant that the IEEE 1588 WG work would be Informational,
like an Informational RFC.  What I am more used to is to start the
Appendix with the statement
'This Appendix is Informational'
which I would have found clearer!

2. The start of A.1 is hard to write.  It is the IESG that approves
publication, rather than an IETF WG, and I would assume that it has
happened, in wording this, so perhaps start with
"   For the purposes of this appendix, assume that the
   IESG has approved the publication of an RFC containing a YANG module
for a published IEEE 1588 standard.  "
and you could ask the RFC Editor to insert the number of the RFC as and
when it is published; bit presumptuous perhaps, but think positive!

3.
OLD
YANG for subsequent 1588 revisions
NEW
a YANG module for subsequent 1588 revisions

4. A.2
I was around at the time of the MIB Module transfer and the problem was
that the then current standard, RFC3978, did not acquire sufficient
rights; hence the need to track down Contributors.  I had thought that
RFC5377/RFC5378 had fixed this but what you are proposing sounds like a
good plan.

6 A.3
I don't think that the chosen prefix matters.  The namespace does since
that is what gives names their uniqueness but different YANG modules can
use different prefixes to refer to and import from the same namespace;
and there are bound to be different modules using the same prefix within
the module, if not now then in time; prefixes are not registered in any
way.  (When someone says 'PTP' to me, I think RFC2637, not RFC8173:-)

So an IEEE YANG Module could use the same prefix as the IETF one, could
use a different one; this is something of a live issue now, with NMDA
modules replacing the initial ones; same or different namespace, same or
different prefix?  hard to know what is best, or what will be at the
time of the transfer.

Tom Petch

----- Original Message -----
From: "Jiangyuanlong" <[email-masked]>
To: <[email-masked]>; <[email-masked]>
Sent: Tuesday, November 28, 2017 6:37 AM
Subject: [netmod] FWD: I-D Action: draft-ietf-tictoc-1588v2-yang-07.txt

> Hi all,
>
> Based on all the comments we received after the WG Last Call, another
revision of this draft is uploaded.
> Thanks a lot for all those discussions.
>
> Regards,
> Yuanlong
>
> -----Original Message-----
> From: TICTOC [mailto:[email-masked]] On Behalf Of
[email-masked]
> Sent: Tuesday, November 28, 2017 2:26 PM
> To: [email-masked]
> Cc: [email-masked]
> Subject: [TICTOC] I-D Action: draft-ietf-tictoc-1588v2-yang-07.txt
>
>
> A New Internet-Draft is available from the on-line Internet-Drafts
directories.
> This draft is a work item of the Timing over IP Connection and
Transfer of Clock WG of the IETF.
>
>         Title           : YANG Data Model for IEEE 1588-2008
>         Authors         : Yuanlong Jiang
>                           Xian Liu
>                           Jinchun Xu
>                           Rodney Cummings
> Filename        : draft-ietf-tictoc-1588v2-yang-07.txt
> Pages           : 29
> Date            : 2017-11-27
>
> Abstract:
>    This document defines a YANG data model for the configuration of
>    IEEE 1588-2008 devices and clocks, and also retrieval of the
>    configuration information, data set and running states of IEEE
>    1588-2008 clocks.
>
>
> The IETF datatracker status page for this draft is:
> https://datatracker.ietf.org/doc/draft-ietf-tictoc-1588v2-yang/
>
> There are also htmlized versions available at:
> https://tools.ietf.org/html/draft-ietf-tictoc-1588v2-yang-07
> https://datatracker.ietf.org/doc/html/draft-ietf-tictoc-1588v2-yang-07
>
> A diff from the previous version is available at:
> https://www.ietf.org/rfcdiff?url2=draft-ietf-tictoc-1588v2-yang-07
>
>
> Please note that it may take a couple of minutes from the time of
submission until the htmlized version and diff are available at
tools.ietf.org.
>
> Internet-Drafts are also available by anonymous FTP at:
> ftp://ftp.ietf.org/internet-drafts/
>
> _______________________________________________
> TICTOC mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/tictoc
>
> _______________________________________________
> netmod mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/netmod

---

From: Jiangyuanlong <[email-masked]>
Date: Mon, 11 Dec 2017 08:47:43 +0000

Dear Tom,

Good suggestions! As this Appendix is informational, we would like to incorporate them together with more inputs from YANG Doctors' review and IETF review. 

Thanks a lot!
Yuanlong

-----Original Message-----
From: t.petch [mailto:[email-masked]] 
Sent: Saturday, December 09, 2017 2:24 AM
To: Jiangyuanlong; [email-masked]; [email-masked]
Subject: Re: [netmod] FWD: I-D Action: draft-ietf-tictoc-1588v2-yang-07.txt

Yuanlong

thinking you meant that the IEEE 1588 WG work would be Informational, like an Informational RFC.  What I am more used to is to start the Appendix with the statement 'This Appendix is Informational'
which I would have found clearer!

2. The start of A.1 is hard to write.  It is the IESG that approves publication, rather than an IETF WG, and I would assume that it has happened, in wording this, so perhaps start with
"   For the purposes of this appendix, assume that the
   IESG has approved the publication of an RFC containing a YANG module for a published IEEE 1588 standard.  "
and you could ask the RFC Editor to insert the number of the RFC as and when it is published; bit presumptuous perhaps, but think positive!

3.
OLD

4. A.2
I was around at the time of the MIB Module transfer and the problem was that the then current standard, RFC3978, did not acquire sufficient rights; hence the need to track down Contributors.  I had thought that
RFC5377/RFC5378 had fixed this but what you are proposing sounds like a good plan.

6 A.3
I don't think that the chosen prefix matters.  The namespace does since that is what gives names their uniqueness but different YANG modules can use different prefixes to refer to and import from the same namespace; and there are bound to be different modules using the same prefix within the module, if not now then in time; prefixes are not registered in any way.  (When someone says 'PTP' to me, I think RFC2637, not RFC8173:-)

So an IEEE YANG Module could use the same prefix as the IETF one, could use a different one; this is something of a live issue now, with NMDA modules replacing the initial ones; same or different namespace, same or different prefix?  hard to know what is best, or what will be at the time of the transfer.

Tom Petch

----- Original Message -----
From: "Jiangyuanlong" <[email-masked]>
To: <[email-masked]>; <[email-masked]>
Sent: Tuesday, November 28, 2017 6:37 AM
Subject: [netmod] FWD: I-D Action: draft-ietf-tictoc-1588v2-yang-07.txt

[email-masked]
directories.
> Please note that it may take a couple of minutes from the time of
submission until the htmlized version and diff are available at tools.ietf.org.